com.mysql.cj.util

## Class SequentialIdLease

- java.lang.Object
- - com.mysql.cj.util.SequentialIdLease

    public class SequentialIdLease
    extends Object

### Field Summary

Fields
`private Set<Integer>` `sequentialIdsLease`

### Constructor Summary

Constructors
`SequentialIdLease()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `allocateSequentialId()` Finds and allocates the first available sequential id.
`void` `releaseSequentialId(int sequentialId)` Frees the given sequential id so that it can be reused.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sequentialIdsLease

    private Set<Integer> sequentialIdsLease

### Constructor Detail

#### SequentialIdLease

    public SequentialIdLease()

### Method Detail

#### allocateSequentialId

    public int allocateSequentialId()

Finds and allocates the first available sequential id.

Returns:
  the next free sequential id.

#### releaseSequentialId

    public void releaseSequentialId(int sequentialId)

Frees the given sequential id so that it can be reused.

Parameters:
  `sequentialId` - the sequential id to release

Copyright © 2016, 2026, Oracle and/or its affiliates.